Subject: Re: bug#47832: 28.0.50; define-fringe-bitmap and emacs --daemon

From: Gregory Heytings <[email-masked]>
Date: Tue, 25 May 2021 13:03:25 +0000

>> Each loop processes its "own" bitmaps.  In the first loop 
>> define_fringe_bitmap is called only if (!fringe_bitmaps[bt]), in the 
>> second loop it is called only if (fringe_bitmaps[bt]).  IOW, the first 
>> loop processes the standard bitmaps that are not overridden by 
>> user-defined bitmaps, and the second loop processes user-defined 
>> bitmaps.
>
> If the standard bitmaps were overridden by user-defined ones, why do we 
> need to set those overriding user-defined bitmaps once again?
>

Sorry, I don't understand your question.

There are three kind of bitmaps:

1. standard bitmaps not overridden by user-defined bitmaps
2. standard bitmaps overridden by user-defined bitmaps
3. user-defined bitmaps

The first loop processes the bitmaps of the first kind, the second loop 
the bitmaps of the second and third kind.